Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables
Returns a list of tables for a specified schema
Path parameters
dataSourceId
integer (int32) Required
The data source in which the tables are located
schemaId
integer (int32) Required
The schema in which the tables are located
Responses
200
OK
object
dataSource
object (Configuration.Api.Models.v1.DataSourceSummary)
dataSourceName
string | null
The name of the data source
dataSourceId
integer (int32)
The ID of the data source
dataSourceServer
string | null
The name of the data source server
dataSourceDatabase
string | null
The name of the data source database
includeInTrustScore
boolean
Whether the data source is included in the trust score
schema
object (Configuration.Api.Models.v1.SchemaSummary)
schemaName
string | null
The name of the schema
schemaId
integer (int32)
The ID of the schema
includeInTrustScore
boolean
Whether the schema is included in the trust score
tables
Array of object (Configuration.Api.Models.v1.TableSummary)
Summaries for all tables of the specified schema
object
tableName
string | null
The name of the table
tableId
integer (int32)
The ID of the table
tableType
string
Valid values[
"Table",
"View"
]
includeInTrustScore
boolean
Whether the table is included in the trust score
404
Not Found
object
error
string | null